Skip to main content
POST
/
v1
/
chat
Full governed chat completion
curl --request POST \
  --url https://api.prompt-wall.com/v1/chat \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "<string>",
  "messages": [
    {
      "role": "system",
      "content": "<string>"
    }
  ],
  "model": "gpt-4o-mini",
  "provider": "openai",
  "temperature": 0.2
}
'
{
  "ok": true,
  "answer": "<string>",
  "confidence": "<string>",
  "governance_action": "<string>",
  "verified_source_used": true,
  "policy": "<string>",
  "latency_ms": 123,
  "tokens": {
    "prompt": 123,
    "completion": 123,
    "total": 123
  },
  "matches": [
    "<string>"
  ],
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
prompt
string
required
messages
object[]

Optional conversation history

model
string

Override default model

Example:

"gpt-4o-mini"

provider
enum<string>
Available options:
openai,
anthropic,
google,
azure,
bedrock
temperature
number
default:0.2

Response

Governed chat response

ok
boolean
answer
string
confidence
string
governance_action
string
verified_source_used
boolean
policy
string
latency_ms
integer
tokens
object
matches
string[]
request_id
string